#! /bin/sh

rndm () {
	shuf -i 0-30 -n 1
}
sign () {
	a=$(shuf -i 0-1 -n 1)
	if [ $a -ge 1 ]; then
		echo "-"
	fi
}
prop () {
	p=$(shuf -i 0-3 -n 1)
	if [ "$p" = 0 ]; then
		echo "PROP_S1_OAK_WOOD"
	else if [ "$p" = 1 ]; then
		echo "PROP_OLIVE_TREE"
	else if [ "$p" = 2 ]; then
		echo "PROP_MONKE"
	else
		echo "error"
	fi fi fi
}

rm map_test.txt
for i in $(seq 1 1000); do
	echo "prop {" >> map_test.txt
	echo "name=$(prop)" >> map_test.txt
	echo "loc=$(sign)$(rndm) $(sign)$(rndm) $(sign)$(rndm)" >> map_test.txt
	echo "}" >> map_test.txt
done
